#ifndef __ABPM_FILE_H
#define __ABPM_FILE_H

//#include "abpm_zlib.h"
#include <unistd.h>
#include <sys/types.h>
#include "abpm_types.h"

class abpmFile {
	public:
		virtual ssize_t read(void *out_buf, size_t maxlen)=0;
		virtual off_t seek(off_t offset, int whence)=0;
		virtual int getchar()=0;
		virtual bool eof()=0;
};

enum FILE_TYPES {
	REGULAR,
	AR,
	TAR,
	GZ,
	TGZ,
	UNKNOWN
};

FILE_TYPES file_type(abpmString file);

#endif
