#ifndef __ABPM_STRING_H
#define __ABPM_STRING_H
class abpmString {
	private:
		int len;
		char *data;
	public:
		int getLength() {return len;}
		char *getStr() {return data;}
		char *getstring() {return data;}
		abpmString head(int i);
		abpmString tail(int i);
		bool eq(const char *);
		bool eq(abpmString&);
		bool eq(const char *, int n);
		bool eq(abpmString&, int n);
		abpmString operator+(abpmString&);
		abpmString operator+(const char *);
		abpmString operator+(const char);
		abpmString operator+(int);
		abpmString operator+=(abpmString&);
		abpmString operator+=(const char *);
		abpmString operator+=(const char);
		abpmString operator=(abpmString);
		char operator[](int i) {return data[i];}
		bool operator==(abpmString& s) {return eq(s);}
		bool operator!=(abpmString& s) {return !eq(s);}
		operator char*() {return getStr();}
		
		abpmString(const char *str);
		abpmString(abpmString&);
		abpmString(char *str, int length) {len=length; data=str;}
		abpmString() {len=0; data=new char[1]; data[0]='\0';}
		~abpmString();
};

abpmString operator+(char *str, abpmString s);

//operator abpmString(char *str);
#endif
