/* vi: set ts=4 sw=4: */
#ifndef __PACKAGE_H
#define __PACKAGE_H
#include <stdio.h>

#include "iface.h"
#include "abpmString.h"

class Package {
	public:
		abpmString name;
		Version_iface *version;

		Package *copy();
		Package(): name() {version=NULL;}
		Package(Package&);
		Package(abpmString &name, Version_iface *version);
		Package(const char *name, const char *version);
		~Package();
		bool equals(Package *p);
		bool operator== (Package *);
		bool operator== (Package &);
};

#endif
