#ifndef __ABPM_GZ_FILE_H
#define __ABPM_GZ_FILE_H

//#include "abpm_zlib.h"
#include <unistd.h>
#include "ph_types.h"
#include "abpmVirtualFile.h"
#include "abpm_zlib.h"


class abpmGzFile: public abpmVirtualFile {
	private:
		gzFile gzfile;
	public:
		abpmGzFile(abpmString filename, bool useraw=false);
		abpmGzFile(abpmFile *rawreader, bool useraw=false);
		ssize_t read(void *out_buf, size_t maxlen);
		off_t seek(off_t offset, int whence);
		ssize_t raw_read(void *out_buf, size_t maxlen);
		off_t raw_seek(off_t offset, int whence);
		~abpmGzFile();
};


#endif
