#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>
#include <stdio.h>
#include "abpmWrongFile.h"


off_t abpmWrongFile::seek(off_t offset, int whence) {
	abpmString err_msg(debug+"Wrong File "+name);
	fprintf(stderr, "%s: %d: exception lesz: %s\n",__FILE__,__LINE__,(char *)err_msg);
	throw (err_msg);
	return 0;
}

ssize_t abpmWrongFile::read(void *out_buf, size_t maxlen) {
	abpmString err_msg(debug+"Wrong File '"+name+"'");
	fprintf(stderr, "%s: %d: exception lesz: %s\n",__FILE__,__LINE__,(char *)err_msg);
	throw err_msg;
	return 0;
}

abpmWrongFile::abpmWrongFile(abpmString filename, abpmString debug_info, bool useraw) {
	debug=debug_info;
	name=filename;
	use_raw = useraw;
}

abpmWrongFile::abpmWrongFile(abpmFile *rawreader, abpmString debug_info, bool useraw) {
	debug=debug_info;
	name=abpmString("unknown");
	use_raw = useraw;
}

//abpmWrongFile::~abpmWrongFile() {
//	delete name;
//}
