/* vi: set ts=4 sw=4: */
#include <stdlib.h>
#include <string.h>
#include "abpm_types.h"
#include "names.h"

/*TODO: ezeket az osztaly tagfuggvenyeivel kene megcsinalni*/

void zero_item(char **item) {
	int i;
	
	for(i=0; i<PKG_MAX_TYPES; i++)
		item[i][0]='\0';
}

char **new_item() {
	int i;
	char **item;

	item = (char **)malloc(PKG_MAX_TYPES * sizeof(char *));
	//item = new char*[PKG_MAX_TYPES * sizeof(char *)];
	
	for(i=0; i<PKG_MAX_TYPES; i++)
		item[i] = (char *)malloc(1024);
	return item;
}

void free_item(char **item) {
	int i;
	
	for(i=0; i<PKG_MAX_TYPES; i++)
		free(item[i]);
	free(item);
}

int item_length(char **item) {
	int len = 0;
	int i;
	
	if(item==NULL)
		return 0;
	
	for(i=0; i<PKG_MAX_TYPES; i++)
		len += strlen(item[i]);
	
	return len;
}


