#ifndef __ABPM_SET_H
#define __ABPM_SET_H

#include "abpm_types.h"
/*
template <class T>
class abpmTree {
	public:
		abpmTree<T> *left;
		abpmTree<T> *right;
		T *value;

		abpmTree(T *val) {left=NULL; right=NULL; value=val;}
		
		inline int depth() {
			int ldepth=0;
			int rdepth=0;
			if(left!=NULL)
				ldepth=left->depth();
			if(rigth!=NULL)
				rdepth=right->depth();
			return rdepth>ldepth ? rdepth + 1 : ldepth + 1;
			//TODO: depth cache
		}
		
		abpmTree<T> *fordit() {}
		
		inline void insert(T *val) {}
};
*/

#include "abpmVector.h"

template <class T>
class abpmSet {
	protected:
		abpmVector<T> *_contents;
	public:
		void add(T &t) {
			if(!in(t))
				_contents->add(t);
		}
		int size() {return _contents->size();}
		
		T *getp(int i) {return _contents->getp(i);}
		
		void del(T &t) {
			int where=_contents->find(t);
			if(where >=0) {
				abpmVector<T> *newcontents = new abpmVector<T>();
				for(int i=0; i<where; i++) {
					T *tp=_contents->getp(i);
					newcontents->add(*tp);
				}
				for(int i=where+1; i<_contents->size(); i++) {
					T *tp=_contents->getp(i);
					newcontents->add(*tp);
				}
				_contents->set_no_delete_contents();
				T *olditem=_contents->getp(where);
				delete olditem;
				delete _contents;
				_contents = newcontents;
			}
		}
		bool in(T &t, T **there=NULL) {
			for(int i=0; i<_contents->size(); i++) {
				T *tp = _contents->getp(i);
				if((*tp) == t) {
					if(there !=NULL)
						*there=tp;
					return true;
				}
			}
			return false;
		}
		abpmSet() {_contents = new abpmVector<T>();}
		
		abpmSet(abpmVector<T> *v) {_contents = v;}
		
		virtual inline abpmSet<T> *copy() {
			abpmVector<T> *v = new abpmVector<T>();
			for(int i=0; i<_contents->size(); i++) {
				T *tp=_contents->getp(i);
				v->add(*tp);
			}
			return new abpmSet<T>(v);
		}
		inline bool _foreach(bool (*fun)(T *, void *), void *arg1) {
			for(int i=0; i<_contents->size(); i++)
				if(!(*fun)(_contents->getp(i), arg1))
					return false;
			return true;
		}
		inline void sort(bool (*greater)(T *, T *)) {
			_contents->sort(greater);
		}
		virtual ~abpmSet() {delete _contents;}
};

#endif
