#ifndef __ABPM_TYPES_H
#define __ABPM_TYPES_H

#include <sys/types.h>

#define DEFAULTFLAG 0644

#include "abpmString.h"

typedef enum {
	OWNER_ID = 0,
	OWNER,
	GROUP_ID,
	GROUP,
	TYPE,
	MODE,
	MAJOR,
	MINOR,
	SIZE,
	TIME,
	MD5,
	NAME
} PHYSICAL_CNTL_INFO_TYPE;


class physical_file_info {
	public:
		abpmString filename;
	
		uid_t owner_id;
		char *owner;
		gid_t group_id;
		char *group;
		char type;
		mode_t mode;
		int major;
		int minor;
		size_t size;
		time_t time;
		char *md5;
		u_int32_t flags;
	
		int uid_used;
		int gid_used;
		int type_used;
		int mode_used;
		int major_used;
		int minor_used;
		int size_used;
		int time_used;
		int flags_used;

		bool operator==(physical_file_info &i) {
			return i.filename == filename;
		}
};

class physical_package_info;

typedef struct {
	char **items;
} package_control_info;

//class file_reader;

class Package;
class Depend;
class abpmString;
class abpmFile;

#ifndef whitespace
#define whitespace(c) (((c) == ' ') || ((c) == '\t') || ((c) == '\n'))
#else
#error "whitespace defined!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n"
#endif
/*FIXME: ennek nem itt kene lenni!*/

#endif
