/* vi: set ts=4 sw=4: */
#ifndef __PKG_SET_H
#define __PKG_SET_H
#include "depm_types.h"
#include "package.h"
#include "abpmSet.h"
#include <stdio.h>

class Pkg_set: public abpmSet<Package>{
	private:
		enum Search_part {
			NAME,
			VERSION,
			ALL
		};
		
		//int where_is_prev(Package *pkg, pkg_list **prev, Search_part part=ALL);
	public:
		Pkg_set(): abpmSet<Package>() {}
		//int in(Package *pkg, Package **there = NULL);
		bool in_name(Package &pkg, Package **there = NULL);
		Pkg_set *copy() {return (Pkg_set *)abpmSet<Package>::copy();}
		bool foreach_check_alt(bool (*func)(Package *, Pkg_set *, int, int *),
				Pkg_set **set, int provide_possible, int *result);
		bool foreach(bool (*func)(Package *, Pkg_set **, Pkg_set **, void *),
				Pkg_set **, Pkg_set **, void *);
		bool try_one(bool (*func)(Package *, Pkg_set **, Pkg_set **, void *),
				Pkg_set **, Pkg_set **, void *);
		bool try_one(bool (*func)(Package *, Pkg_set *), Pkg_set *need_to_install);
		
		//void sort(bool (*greater)(Package *, Package *));
		void kiir(); /*Debug*/
		
		virtual ~Pkg_set() {}
};

#endif
