#ifndef __UTILS_H
#define __UTILS_H

#include "abpm_types.h"

/* WARNING: Return string is a part of input string.
 * You mustn't free it!*/
char *basename(char *file_path);


/* dirof() allocates memory for return string, so
 * you should free it after useing it.*/
char *dirof(char *file_path);

/*mkdir -p*/
bool mkdir_p(char *name, mode_t mode=0755);

bool exist(char *file);
bool is_file(char *file);
bool is_dir(char *file);

size_t file_size(char *file);

abpmString readline(abpmFile *f);

#endif
