/* vi: set ts=4 sw=4: */
#ifndef __VERSIONS_H
#define __VERSIONS_H
#include "iface.h"

class Version :public Version_iface {
	private:
		char *version_str;
		
		int _subsubver_cmp(const char *ver1, const char *ver2);
		int _subver_cmp(const char *ver1, const char *ver2);
		int version_cmp(const char *ver1, const char *ver2);
		bool _dep_ver_chk(const char *ver1, const char *ver_shema);
	public:
		
		/*a fuggosegekben megadhato verzio tartomanyokra ellenorzi, hogy teljesul-e ra
		 * pl "<= 1.2.3-4" */
		bool dep_ver_chk(const char *ver_shema);
		
		bool operator<(Version_iface& ver);
		bool operator>(Version_iface& ver);
		bool operator<=(Version_iface& ver);
		bool operator>=(Version_iface& ver);
		bool operator==(Version_iface& ver);
		bool operator!=(Version_iface& ver);
		void operator=(Version_iface &ver);

		bool operator<(const char *ver);
		bool operator>(const char *ver);
		bool operator<=(const char *ver);
		bool operator>=(const char *ver);
		bool operator==(const char *ver);
		bool operator!=(const char *ver);
		void operator=(const char *ver);
		
		Version_iface *copy();
		
		char *getstring();

		inline Version() {version_str=NULL;}
		Version(const char *ver);
		Version(Version_iface &ver);
		virtual ~Version();
};
#endif
