#ifndef __HTTP_DOWNLOADER_H
#define __HTTP_DOWNLOADER_H

#include "downloader.h"

#define BUF_SIZE 1024

class http_downloader :public downloader {
	private:
		char buf[BUF_SIZE];
		ssize_t bytes_in_buf;
		
		bool send_command(char *file, size_t offset);
		bool recv_header(int *processed_bytes);
	public:
		bool _download(char *file, char *out_file);
		static void *downloader_thread(void *_arg);
		inline http_downloader(char *hostname) {host = hostname; cmd_sock = -1;}
		static bool download(char *hostname, char *file, char *out_file);
};

#endif
