#ifndef __ABPM_AR_FILE_H
#define __ABPM_AR_FILE_H

//#include "abpm_zlib.h"
#include "ph_types.h"
#include "abpmVirtualFile.h"
#include "abpmDirectory.h"


class abpmArFile : public abpmVirtualFile, public abpmDirectory  {
	private:
		int readheader(char *buf);
		bool check_magic();
		off_t start;
		off_t end;
		bool file_choosen;
	public:
		abpmVector<abpmString> list();
		abpmFile *choose_file(abpmString s);
		bool is_file(abpmString path);
		ssize_t read(void *buf, size_t maxlen);
		off_t seek(off_t offset, int whence);
		bool eof();
		abpmArFile(abpmString filename, bool useraw=false);
		abpmArFile(abpmFile *raw_reader, bool useraw=false);
		abpmArFile(abpmFile *raw_reader, abpmString subfile_path, bool useraw=false);
};

#endif
