#ifndef __ABPM_PACKAGE_FILE_H
#define __ABPM_PACKAGE_FILE_H

#include "ph_types.h"
#include "abpmDirectory.h"
#include "abpmFile.h"

class abpmPackageFile :public abpmDirectory, abpmFile {
	public:
		virtual bool get_physical_info(physical_package_info *info)=0;
		virtual bool get_package_info(package_control_info *info)=0;
		virtual bool unpack(abpmString destdir)=0;
		virtual abpmVector<abpmString> conf_files()=0;
};

#endif
