#ifndef __ABPM_VIRTUAL_FILE_H
#define __ABPM_VIRTUAL_FILE_H

//#include "abpm_zlib.h"
#include <unistd.h>
#include <sys/types.h>
#include "ph_types.h"
#include "abpmFile.h"
#include "abpmString.h"

class abpmVirtualFile: public abpmFile {
	protected:
		bool use_raw;
		abpmFile *raw_reader;
		abpmVirtualFile() {}
		//abpmString err_msg;
		bool readbytes(char *buf, int len);
		abpmString base_filename(abpmString&);
	public:
		inline void set_use_raw() {use_raw=true;}
		virtual ssize_t read(void *out_buf, size_t maxlen);
		virtual off_t seek(off_t offset, int whence);
		virtual int getchar();
		virtual bool eof();
		//virtual abpmFile *create_from_string(abpmDirectory *parent, abpmString logical_filename);
		abpmVirtualFile(abpmString filename, bool useraw=false);
		abpmVirtualFile(abpmFile *rawreader, bool useraw=false);
		virtual ~abpmVirtualFile();
};


#endif
