#ifndef __ABPM_WRONG_FILE_H
#define __ABPM_WRONG_FILE_H

//#include "abpm_zlib.h"
#include <unistd.h>
#include "ph_types.h"
#include "abpmFile.h"
#include "abpmString.h"

class abpmWrongFile: public abpmFile {
		abpmString name;
		abpmString debug;
		bool use_raw;
	public:
		abpmWrongFile(abpmString filename, abpmString debug_info, bool useraw=false);
		abpmWrongFile(abpmFile *raw_reader, abpmString debug_info, bool useraw=false);
		bool eof() {return true;}
		int getchar() {return EOF;}
		ssize_t read(void *out_buf, size_t maxlen);
		off_t seek(off_t offset, int whence);
		virtual ~abpmWrongFile() {}
};


#endif
